## nwg-bar 0.1.6

=== Makefile ===
PREFIX ?= /usr
DESTDIR ?= 

get:
	go get github.com/gotk3/gotk3
	go get github.com/gotk3/gotk3/gdk
	go get github.com/gotk3/gotk3/glib
	go get github.com/dlasky/gotk3-layershell/layershell
	go get github.com/joshuarubin/go-sway
	go get github.com/allan-simon/go-singleinstance

build:
	go build -v -o bin/nwg-bar .

install:
	mkdir -p $(DESTDIR)$(PREFIX)/share/nwg-bar
	cp config/* $(DESTDIR)$(PREFIX)/share/nwg-bar
	mkdir -p $(DESTDIR)$(PREFIX)/share/nwg-bar/images
	cp images/* $(DESTDIR)$(PREFIX)/share/nwg-bar/images
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	cp bin/nwg-bar $(DESTDIR)$(PREFIX)/bin/nwg-bar

	mkdir -p $(DESTDIR)$(PREFIX)/share/doc/nwg-bar
	cp README.md $(DESTDIR)$(PREFIX)/share/doc/nwg-bar
	mkdir -p $(DESTDIR)$(PREFIX)/share/licenses/nwg-bar
	cp LICENSE $(DESTDIR)$(PREFIX)/share/licenses/nwg-bar

uninstall:
	rm -r $(DESTDIR)$(PREFIX)/share/nwg-bar
	rm $(DESTDIR)$(PREFIX)/bin/nwg-bar

run:
	go run .

=== debian/changelog ===
nwg-bar (0.1.6-1) unstable; urgency=medium

  * Initial release (Closes: #1067865)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Thu, 28 Mar 2024 12:44:11 +0800

=== debian/control ===
Source: nwg-bar
Section: x11
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-exec,
 dh-golang,
 golang-any,
 golang-github-allan-simon-go-singleinstance-dev,
 golang-github-dlasky-gotk3-layershell-dev,
 golang-github-gotk3-gotk3-dev,
 golang-github-joshuarubin-go-sway-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/nwg-bar
Vcs-Git: https://salsa.debian.org/go-team/packages/nwg-bar.git
Homepage: https://github.com/nwg-piotr/nwg-bar
XS-Go-Import-Path: github.com/nwg-piotr/nwg-bar

Package: nwg-bar
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using: ${misc:Built-Using}
Description: GTK3-based button bar for wlroots-based compositors (program)
 nwg-bar is a GTK3-based button bar for wlroots-based compositors like sway,
 based on a user-defined JSON template and fully customizable using CSS.
 .
 The nwg-bar command creates a button bar on the basis of a JSON template placed
 in the ~/.config/nwg-bar/ folder. By default the command displays a horizontal
 bar in the center of the screen. Use command line arguments to change the
 placement.
 .
 This application is a part of the nwg-shell project.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/nwg-piotr/nwg-bar/tags \
  .*/v?(\d[\d\.]*)\.tar\.gz
